Index: portal2/scripts/vscripts/choreo/glados_scenetable_include_manual_act4.nut
===================================================================
--- portal2/scripts/vscripts/choreo/glados_scenetable_include_manual_act4.nut	(revision 24)
+++ portal2/scripts/vscripts/choreo/glados_scenetable_include_manual_act4.nut	(revision 25)
@@ -4411,7 +4411,18 @@
 			predelay = 0.0
 			next = "-2298_02"
 			noDingOff = true
-			noDingOn = true			
+			noDingOn = true
+
+			fires=
+			[
+				// all coords somewhat random, avg of three SetParentAttachmentMaintainOffset settings
+				{entity="wheatley_shield",input="setlocalorigin",parameter="13.1 277.2 -31.0",delay=3.0},
+				{entity="wheatley_shield",input="setlocalangles",parameter="0 180 90",delay=3.0},
+				{entity="futbol_shooter",input="setlocalorigin",parameter="1.7 75.0 -116.6",delay=3.0},
+				{entity="futbol_shooter",input="setlocalangles",parameter="86.5 158.6 66.5",delay=3.0},
+				{entity="wheatley_shadow_brush",input="setlocalorigin",parameter="6.0 12.5 -10.0",delay=3.0},
+				{entity="wheatley_shadow_brush",input="setlocalangles",parameter="86.5 158.6 66.5",delay=3.0},
+			]
 		}	
 
 		// You like revenge, right? Everybody likes revenge. Well, let's go get some.                                                                                                                                                                                      
Index: portal2/reslists/mp_coop_race_2.lst
===================================================================
--- portal2/reslists/mp_coop_race_2.lst	(revision 24)
+++ portal2/reslists/mp_coop_race_2.lst	(revision 25)
@@ -112,7 +112,7 @@
 "portal2\materials\concrete\observationwall_001a_height-ssbump.vtf"
 "portal2\materials\concrete\observationwall_001b.vmt"
 "portal2\materials\concrete\observationwall_001b.vtf"
-"portal2\materials\console\portal2_product_1.vtf"
+"portal2\materials\console\portal2_product_2.vtf"
 "portal2\materials\console\startup_loading.vtf"
 "portal2\materials\debug\debugempty.vtf"
 "portal2\materials\debug\debugluxels.vtf"
Index: portal2/reslists/mp_coop_wall_5.lst
===================================================================
--- portal2/reslists/mp_coop_wall_5.lst	(revision 24)
+++ portal2/reslists/mp_coop_wall_5.lst	(revision 25)
@@ -135,7 +135,7 @@
 "portal2\materials\concrete\factory_concrete_wall001b_bottom.vtf"
 "portal2\materials\concrete\observationwall_001b.vmt"
 "portal2\materials\concrete\observationwall_001b.vtf"
-"portal2\materials\console\portal2_product_1.vtf"
+"portal2\materials\console\portal2_product_2.vtf"
 "portal2\materials\console\startup_loading.vtf"
 "portal2\materials\debug\debugempty.vtf"
 "portal2\materials\debug\debugluxels.vtf"
Index: portal2/reslists/mp_coop_lobby_2.lst
===================================================================
--- portal2/reslists/mp_coop_lobby_2.lst	(revision 24)
+++ portal2/reslists/mp_coop_lobby_2.lst	(revision 25)
@@ -114,7 +114,7 @@
 "portal2\materials\concrete\underground_concrete_ceiling001.vtf"
 "portal2\materials\concrete\underground_concrete_tile001.vmt"
 "portal2\materials\concrete\underground_concrete_tile001.vtf"
-"portal2\materials\console\portal2_product_1.vtf"
+"portal2\materials\console\portal2_product_2.vtf"
 "portal2\materials\console\startup_loading.vtf"
 "portal2\materials\debug\debugempty.vtf"
 "portal2\materials\debug\debugluxels.vtf"
Index: portal2/reslists/mp_coop_teambts.lst
===================================================================
--- portal2/reslists/mp_coop_teambts.lst	(revision 24)
+++ portal2/reslists/mp_coop_teambts.lst	(revision 25)
@@ -107,7 +107,7 @@
 "portal2\materials\concrete\factory_concrete_wall001a_height-ssbump.vtf"
 "portal2\materials\concrete\factory_concrete_wall001b_bottom.vmt"
 "portal2\materials\concrete\factory_concrete_wall001b_bottom.vtf"
-"portal2\materials\console\portal2_product_1.vtf"
+"portal2\materials\console\portal2_product_2.vtf"
 "portal2\materials\console\startup_loading.vtf"
 "portal2\materials\debug\debugempty.vtf"
 "portal2\materials\debug\debugluxels.vtf"
Index: portal2/reslists/mp_coop_start.lst
===================================================================
--- portal2/reslists/mp_coop_start.lst	(revision 24)
+++ portal2/reslists/mp_coop_start.lst	(revision 25)
@@ -117,7 +117,7 @@
 "portal2\materials\concrete\observationwall_001a_height-ssbump.vtf"
 "portal2\materials\concrete\observationwall_001b.vmt"
 "portal2\materials\concrete\observationwall_001b.vtf"
-"portal2\materials\console\portal2_product_1.vtf"
+"portal2\materials\console\portal2_product_2.vtf"
 "portal2\materials\console\startup_loading.vtf"
 "portal2\materials\debug\debugempty.vtf"
 "portal2\materials\debug\debugluxels.vtf"
Index: portal2/reslists/engine.lst
===================================================================
--- portal2/reslists/engine.lst	(revision 24)
+++ portal2/reslists/engine.lst	(revision 25)
@@ -82,10 +82,10 @@
 "portal2\cfg\valve.rc"
 "portal2\console.log"
 "portal2\gameinfo.txt"
-"portal2\maps\devtest.bsp"
+"portal2\maps\mp_coop_lobby_2.bsp"
 "portal2\maps\soundcache\_master.cache"
-"portal2\materials\console\portal2_product_1.vmt"
-"portal2\materials\console\portal2_product_1.vtf"
+"portal2\materials\console\portal2_product_2.vmt"
+"portal2\materials\console\portal2_product_2.vtf"
 "portal2\materials\console\rt_background.vmt"
 "portal2\materials\console\rt_foreground.vmt"
 "portal2\materials\console\startup_loading.vtf"
@@ -254,6 +254,14 @@
 "portal2\materials\vgui\icon_lobby.vtf"
 "portal2\materials\vgui\loadbar_dots.vmt"
 "portal2\materials\vgui\loadbar_dots.vtf"
+"portal2\materials\vgui\loading_screens\loadingscreen_coop_1.vmt"
+"portal2\materials\vgui\loading_screens\loadingscreen_coop_1.vtf"
+"portal2\materials\vgui\loading_screens\loadingscreen_coop_2.vmt"
+"portal2\materials\vgui\loading_screens\loadingscreen_coop_2.vtf"
+"portal2\materials\vgui\loading_screens\loadingscreen_coop_3.vmt"
+"portal2\materials\vgui\loading_screens\loadingscreen_coop_3.vtf"
+"portal2\materials\vgui\loading_screens\loadingscreen_coop_4.vmt"
+"portal2\materials\vgui\loading_screens\loadingscreen_coop_4.vtf"
 "portal2\materials\vgui\menu_tiles\ui_tile_128_bottom.vmt"
 "portal2\materials\vgui\menu_tiles\ui_tile_128_bottom.vtf"
 "portal2\materials\vgui\menu_tiles\ui_tile_128_crnr_bottoml.vmt"
@@ -303,58 +311,24 @@
 "portal2\materials\voice\icntlk_pl.vmt"
 "portal2\models"
 "portal2\models\a4_destruction"
-"portal2\models\anim_wp"
-"portal2\models\anim_wp\arm_interior_192"
 "portal2\models\anim_wp\core_room"
-"portal2\models\anim_wp\cursher"
 "portal2\models\anim_wp\framework"
 "portal2\models\anim_wp\room_transform"
-"portal2\models\anim_wp\room_transform\anim"
-"portal2\models\anim_wp\telescope_arm_128"
-"portal2\models\anim_wp\trackrobots"
-"portal2\models\anim_wp\underthefloor"
-"portal2\models\anim_wp\wheatley_arm"
-"portal2\models\catwalk_destruction"
-"portal2\models\container_ride"
-"portal2\models\effects"
 "portal2\models\elevator"
 "portal2\models\gibs"
-"portal2\models\npcs\bird"
-"portal2\models\npcs\glados"
-"portal2\models\npcs\glados_maintenance"
-"portal2\models\npcs\monsters"
-"portal2\models\npcs\personality_sphere"
-"portal2\models\npcs\potatos\world_model"
 "portal2\models\npcs\turret"
 "portal2\models\player\ballbot"
 "portal2\models\player\bot_assembly"
-"portal2\models\player\chell"
 "portal2\models\player\eggbot"
 "portal2\models\portals"
 "portal2\models\prop_cables"
 "portal2\models\props"
-"portal2\models\props\lab_desk02"
-"portal2\models\props\lab_desk04"
-"portal2\models\props\pc_case_open"
 "portal2\models\props\vert_door"
-"portal2\models\props\water_bottle"
-"portal2\models\props_animsigns"
 "portal2\models\props_backstage"
-"portal2\models\props_basement"
 "portal2\models\props_bts"
 "portal2\models\props_debris"
-"portal2\models\props_destruction"
-"portal2\models\props_factory"
 "portal2\models\props_gameplay"
-"portal2\models\props_lab"
-"portal2\models\props_lights"
-"portal2\models\props_livingwall"
-"portal2\models\props_motel"
-"portal2\models\props_office"
-"portal2\models\props_sabotage"
-"portal2\models\props_test_chamber"
 "portal2\models\props_underground"
-"portal2\models\props_vac_anim"
 "portal2\models\weapons"
 "portal2\modelsounds.cache"
 "portal2\particles\blood_impact.pcf"
Index: portal2/reslists/mp_coop_fan.lst
===================================================================
--- portal2/reslists/mp_coop_fan.lst	(revision 24)
+++ portal2/reslists/mp_coop_fan.lst	(revision 25)
@@ -118,7 +118,7 @@
 "portal2\materials\concrete\concrete_bts_floor002c_height-ssbump.vtf"
 "portal2\materials\concrete\underground_concrete_tile001b.vmt"
 "portal2\materials\concrete\underground_concrete_tile001b.vtf"
-"portal2\materials\console\portal2_product_1.vtf"
+"portal2\materials\console\portal2_product_2.vtf"
 "portal2\materials\console\startup_loading.vtf"
 "portal2\materials\cubemaps\cubemap_cave01.hdr.vtf"
 "portal2\materials\debug\debugempty.vtf"
Index: portal2/reslists/mp_coop_credits.lst
===================================================================
--- portal2/reslists/mp_coop_credits.lst	(revision 24)
+++ portal2/reslists/mp_coop_credits.lst	(revision 25)
@@ -97,7 +97,7 @@
 "portal2\materials\cable\rope.vmt"
 "portal2\materials\cable\rope.vtf"
 "portal2\materials\cable\rope_shadowdepth.vmt"
-"portal2\materials\console\portal2_product_1.vtf"
+"portal2\materials\console\portal2_product_2.vtf"
 "portal2\materials\console\startup_loading.vtf"
 "portal2\materials\debug\debugempty.vtf"
 "portal2\materials\debug\debugluxels.vtf"
